Summary:	Displays menus for MATE Desktop
Name:		mate-menus
Version:	1.6.0
Release:	1
License:	GPL v2+ and LGPL v2+
Group:		X11/Applications
Source0:	http://pub.mate-desktop.org/releases/1.6/%{name}-%{version}.tar.xz
# Source0-md5:	98937d51fb1e577b21a2b8552697bee8
URL:		http://wiki.mate-desktop.org/mate-menus
Patch0:		xdg-menu-prefix-compat.patch
BuildRequires:	gobject-introspection-devel
BuildRequires:	intltool >= 0.40.0
BuildRequires:	mate-common >= 1.5
BuildRequires:	python-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Displays menus for MATE Desktop.

%package libs
Summary:	Shared libraries for mate-menus
Group:		Libraries

%description libs
Shared libraries for mate-menus

%package devel
Summary:	Development files for mate-menus
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
Development files for mate-menus

%prep
%setup -q
%patch0 -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure \
	--disable-silent-rules \
	--disable-static \
	--enable-python \
	--enable-introspection=yes

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/libmate-menu.la
%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/matemenu.la

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/gn
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/io

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS COPYING README
%{_sysconfdir}/xdg/menus/mate-applications.menu
%{_sysconfdir}/xdg/menus/mate-settings.menu
%{_datadir}/mate-menus
%{_datadir}/mate/desktop-directories

%files libs
%defattr(644,root,root,755)
%{_libdir}/girepository-1.0/MateMenu-2.0.typelib
%attr(755,root,root) %{_libdir}/libmate-menu.so.*.*.*
%ghost %{_libdir}/libmate-menu.so.2
%attr(755,root,root) %{py_sitedir}/matemenu.so

%files devel
%defattr(644,root,root,755)
%{_libdir}/libmate-menu.so
%{_datadir}/gir-1.0/MateMenu-2.0.gir
%{_includedir}/mate-menus
%{_pkgconfigdir}/libmate-menu.pc
%changelog
* Thu Apr 04 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-menus.git;a=log;h=master

* Thu Apr 04 2013 Elan Ruusamäe <glen@delfi.ee> 618bdca
up to 1.6.0

* Thu Jan 17 2013 Elan Ruusamäe <glen@delfi.ee> da3d80f
BR: rpm-pythonprov, by cleanbuild

* Wed Jan 16 2013 Elan Ruusamäe <glen@delfi.ee> ea38655
handle XDG_MENU_PREFIX, like it was in GNOME2/GNOME3

* Tue Jan 15 2013 Elan Ruusamäe <glen@delfi.ee> 9ae808b
force system libtool, weird syntax errors otherwise

* Tue Jan 15 2013 Elan Ruusamäe <glen@delfi.ee> c9b505a
more specific url, BR update

* Sat Dec 22 2012 Elan Ruusamäe <glen@delfi.ee> dc8a7a5
run autogen in build section

* Sat Dec 22 2012 Elan Ruusamäe <glen@delfi.ee> e7d8da2
new, version 1.5.0

